Rapid7 Vulnerability & Exploit Database

Debian: CVE-2018-7638: cimg -- security update

Back to Search

Debian: CVE-2018-7638: cimg -- security update

Severity
7
CVSS
(AV:N/AC:M/Au:N/C:P/I:P/A:P)
Published
03/02/2018
Created
10/01/2019
Added
09/30/2019
Modified
02/18/2020

Description

An issue was discovered in CImg v.220. A heap-based buffer over-read in load_bmp in CImg.h occurs when loading a crafted bmp image, a different vulnerability than CVE-2018-7588. This is in a "256 colors" case, aka case 8.

Solution(s)

  • debian-upgrade-cimg

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;